BAM_UNIQ(1)

NAME
bam_uniq.pl - Deconvolute BAM files into unique and multi mappers

SYNOPSIS
bam_uniq.pl [--bam FILE] [-o DIR] [options]

DESCRIPTION
This program extracts uniquely and multiply mapping reads from BAM files acoording to the NH:i SAM attribute and creates separate BAM files for unique and multi mappers, respectively.

OPTIONS

--bam
    BAM file to extract unique and multi mappers from

--band
    Process bands of (supposedly paired-end) reads sharing the same name/id from a name-sorted BAM file. The reads of band are considered unique mappers if and only if all of them are unique mappers. In all other cases, all reads of a band are considered multi mappers. In a paired-end context this means that e.g. a read map uniquely, but its mate is a multi-mapper, both will be consideres multi-mappers.

--out -o
    Output path

--help -h
    Print short help

--man
    Prints the manual page and exits

AUTHOR
Michael T. Wolfinger <michael@wolfinger.eu>